apertium-desmediawiki(1)

NAME
apertium-desmediawiki - This application is part of ( apertium )

This tool is part of the apertium open-source machine translation toolbox: http://www.apertium.org.

SYNOPSIS
apertium-desmediawiki [ <input file> [ <output file> ] ]

DESCRIPTION
apertium-desmediawiki is a processor for mediawiki XML dumps (i.e., those produced using Special:Export. Data should be passed through this processor before being piped to lt-proc. The program takes input in the form of a text file and produces output suitable for processing with lt-proc. Format information (newlines, tabs, etc.) is enclosed in brackets so that lt-proc treats it as whitespace between words.

OPTIONS

-h, --help
    Display this help.

EXAMPLE

You could write the following to show how the word "gener" is analysed:

echo "gener" | apertium-destxt | lt-proc ca-es.automorf.bin

SEE ALSO
apertium-destxt(1), apertium-deshtml(1), apertium-desrtf(1), lt-proc(1), apertium(1).

BUGS
Complicated links - [[page|alternative text]], [[link]]s, etc. are not supported.

The mediawiki parser has special support for mixing apostrophes and apostrophes as formatting. This is not supported either.

AUTHOR
Copyright (c) 2005, 2006 Universitat d'Alacant / Universidad de Alicante. This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>.